Package org.apache.ignite.platform.dotnet

## Class PlatformDotNetConfiguration

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetConfiguration

- All Implemented Interfaces:
    `PlatformConfiguration`

      public class PlatformDotNetConfiguration
      extends Object
      implements PlatformConfiguration

  Mirror of .Net class IgniteConfiguration.cs

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlatformDotNetConfiguration()` | Default constructor.
    `PlatformDotNetConfiguration​(PlatformDotNetConfiguration cfg)` | Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getAssemblies()` |
    `PlatformDotNetBinaryConfiguration` | `getBinaryConfiguration()` |
    `PlatformDotNetConfiguration` | `setAssemblies​(List<String> assemblies)` |
    `PlatformDotNetConfiguration` | `setBinaryConfiguration​(PlatformDotNetBinaryConfiguration binaryCfg)` |
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformDotNetConfiguration

          public PlatformDotNetConfiguration()

      Default constructor.

    - #### PlatformDotNetConfiguration

          public PlatformDotNetConfiguration​(PlatformDotNetConfiguration cfg)

      Copy constructor.
      Parameters:
        `cfg` - Configuration to copy.

  - ### Method Detail

    - #### getBinaryConfiguration

          public PlatformDotNetBinaryConfiguration getBinaryConfiguration()

      Returns:
        Configuration.

    - #### setBinaryConfiguration

          public PlatformDotNetConfiguration setBinaryConfiguration​(PlatformDotNetBinaryConfiguration binaryCfg)

      Parameters:
        `binaryCfg` - Configuration.
      Returns:
        `this` for chaining.

    - #### getAssemblies

          public List<String> getAssemblies()

      Returns:
        Assemblies.

    - #### setAssemblies

          public PlatformDotNetConfiguration setAssemblies​(List<String> assemblies)

      Parameters:
        `assemblies` - Assemblies.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`